/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ Advanced Edition for Linux, V9.0                    */
/*   5724-S73                                                         */
/*   Copyright IBM Corp. 2005, 2007.                                  */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef __IBM_VACPP_complex_h
#define __IBM_VACPP_complex_h 1

#if __cplusplus
  /* C++ */
  #if  __C99_COMPLEX_HEADER__
    #include </usr/include/complex.h>
    #if __xlC__ >= 0x0800 
        extern "C" {
            __extension__ extern long double cabsl(long double  _Complex) __THROW __attribute__((__IBMBuiltin__));
            __extension__ extern float cabsf(float _Complex)  __THROW __attribute__((__IBMBuiltin__));
            __extension__ extern double cabs(double _Complex) __THROW __attribute__((__IBMBuiltin__));
        }
    #endif
  #else
    #include_next <complex.h>
  #endif

#else
  /* C */
  #include_next <complex.h>
  #if __xlC__ >= 0x0800 
        __extension__ extern long double cabsl(long double  _Complex) __attribute__((__IBMBuiltin__));
        __extension__ extern float cabsf(float _Complex)  __attribute__((__IBMBuiltin__));
        __extension__ extern double cabs(double _Complex) __attribute__((__IBMBuiltin__));
  #endif
#endif
 
#endif
